/*This is a Mac Version of the Dex Widget.*/

/*This is for the clearer code*/
var defaultWhatString = "category, business name, keyword or phone number.";
var defaultWhereString = "city, state, address, ZIP code or landmark.";

function loaded() 
{
	var doneButton = document.getElementById('done'); 
	createGenericButton(doneButton, "<font color=#002F5F>Done</font>", showFront);
	//Version Check Test - Setup
	if (widget.preferenceForKey("checkversion") == undefined) widget.setPreferenceForKey(true,"checkversion");
	localizeAll();
	document.getElementById("input-checkversion").checked = widget.preferenceForKey("checkversion");
	if (CheckVersion) CheckVersion();
}

//Version Check Test - Setup
function localizeAll() {
	// call this function at Widget init
	var body = document.getElementsByTagName("body")[0];
	var doc = body.innerHTML;
	for (i in localizedStrings) {
		doc = doc.split("["+i+"]").join(localizedStrings[i]);
	}
	body.innerHTML = doc;
}

function clearWhatData()
{    
	var WhereAlert = document.getElementById("Alert2");
	
	if (txtWhat.value != defaultWhatString && txtWhat.value) {
        return;
    }
    txtWhat.value = "";
	txtWhat.style.color = "#000000";
	WhereAlert.style.display="none";
}

function clearWhereData()
{    
	var WhatAlert = document.getElementById("Alert1");
	
	if (txtWhere.value == defaultWhereString)
    {
	txtWhere.value = "";
	txtWhere.style.color = "#000000";
	WhatAlert.style.display="none";
    }
    
    if (txtWhat.value != defaultWhatString || txtWhat.value) {
        return;
    }       
}

function resetWhatData()
{
	if (txtWhat.value == "")
    {
        txtWhat.style.color = "#747678";
        txtWhat.value = defaultWhatString;
    }
}

function resetWhereData()
{
	if (txtWhere.value == "")
    {
        txtWhere.style.color = "#747678";
        txtWhere.value = defaultWhereString;
    }    
}
/*End of the clearer code*/

//DK2 Search from Keydown Enter or Return Try 2
function doSearchKey (input)
{
	//Checks for empty what input
	if ((txtWhat.value == "")||(txtWhat.value==null)||(txtWhat.value=="category, business name, keyword or phone number."))
{
	return AlertOne();
}
	//Checks for empty where input
	if ((txtWhere.value == "")||(txtWhere.value==null)||(txtWhere.value=="city, state, address, ZIP code or landmark.")) 
{
	return AlertTwo();
}
	
	what = "&what=" + txtWhat.value;
	where = "&where=" + txtWhere.value;
	var dku = "http%3a%2f%2fwww.dexknows.com%2fsearch%2f%3fmkt%3ddk20%26mkw%3dMacDash";
	var redirecturi = "http://www.dexknows.com/rd/?dku=" + dku;
	
	where = escape (where);
	what = escape (what);
	   
	redirecturi = redirecturi + what;
	redirecturi = redirecturi + where;
	dku = redirecturi;
	
	   if(widget) 
	   	{
			widget.openURL(dku);
		}
}

//DK2 Search from Search Button Try 2
function doSearchButton ()
{
	//Checks for empty what input
	if ((txtWhat.value == "")||(txtWhat.value==null)||(txtWhat.value=="category, business name, keyword or phone number."))
{
	return AlertOne();
}
	//Checks for empty where input
	if ((txtWhere.value == "")||(txtWhere.value==null)||(txtWhere.value=="city, state, address, ZIP code or landmark.")) 
{
	return AlertTwo();
}
	
	what = "&what=" + txtWhat.value;
	where = "&where=" + txtWhere.value;
	var dku = "http%3a%2f%2fwww.dexknows.com%2fsearch%2f%3fmkt%3ddk20%26mkw%3dMacDash";
	var redirecturi = "http://www.dexknows.com/rd/?dku=" + dku;
	
	where = escape (where);
	what = escape (what);
	   
	redirecturi = redirecturi + what;
	redirecturi = redirecturi + where;
	dku = redirecturi;
	
	   if(widget) 
	   	{
			widget.openURL(dku);
		}
}

/*Triggers Search Function from a Enter or Return Key press*/
function keydown (event, input)
{
	if (event.keyCode == 13) // enter or return
	{		
		doSearchButton (input);
	}
}


// Front-to-Back flip animation
function showBack()
	{
   	var front = document.getElementById("front");
    	var back = document.getElementById("back");
		    if (window.widget)
        		widget.prepareForTransition("ToBack");
	    		front.style.display="none";
	    		back.style.display="block";
		    if (window.widget)
        		setTimeout ('widget.performTransition();', 0);  
	}

function showFront()
	{
	    var front = document.getElementById("front");
	    var back = document.getElementById("back");
		    if (window.widget)
		        widget.prepareForTransition("ToFront");
			    back.style.display="none";
			    front.style.display="block";
			if (window.widget)
	        	setTimeout ('widget.performTransition();', 0);
	}

//Alerts for empty inputs
function AlertOne()
	{
   	var WhatAlert = document.getElementById("Alert1");
	    		WhatAlert.style.display="block";
				WhereAlert.style.display="none";
				return;
	}
	
function AlertTwo()
	{
   	var WhereAlert = document.getElementById("Alert2");
	    		WhereAlert.style.display="block";
				WhatAlert.style.display="none";
				return;
	}
	
//Clear Alerts
function clearWhatAlert()
	{
	var WhatAlert = document.getElementById("Alert1");
	WhatAlert.style.display="none";
	return;
	}	
	
function clearWhereAlert()
	{
	var WhereAlert = document.getElementById("Alert2");
	WhereAlert.style.display="none";
	return;
	}

/*Logo Hyperlink to www.dexknows.com*/
function gotoDex() {
    widget.openURL('http://www.dexknows.com/rd/?dku=http%3A%2F%2Fwww.dexknows.com%2F%3Fmkt%3Ddk20%26mkw%3DMacDash');
}

/*Hyperlink to Web Site Use Agreement*/
function gotoWebUse() {
    widget.openURL('http://www.rhd.com/legal/site_use.html');
}

/*Hyperlink to Privacy Policy*/
function gotoPrivacy() {
    widget.openURL('http://www.rhd.com/legal/privacy_policy.html');
}

<!-- Debug Script To Use: Add '<body onload='loaded();toggleDebug();DEBUG("loaded!");'>' to HTML. Also Add: '<div id='debugDiv'></div>' -->
var debugMode = false;

          // Write to the debug div when in Safari.
          // Send a simple alert to Console when in Dashboard.
          function DEBUG(str) {
               if (debugMode) {
                    if (window.widget) {
                         alert(str);
                    } else {
                         var debugDiv = document.getElementById('debugDiv');
                         debugDiv.appendChild(document.createTextNode(str));
                         debugDiv.appendChild(document.createElement("br"));
                         debugDiv.scrollTop = debugDiv.scrollHeight;
                    }
               }
          }

          // Toggle the debugMode flag, but only show the debugDiv in Safari
          function toggleDebug() {
               debugMode = !debugMode;
               if (debugMode == true && !window.widget) {
                    document.getElementById('debugDiv').style.display = 'block';
               } else {
                    document.getElementById('debugDiv').style.display = 'none';
               }
          }